Subject: Re: pci issue - wrong detection of pci ressources

From: Sergei Shtylyov <[email-masked]>
Date: Mon, 21 Apr 2008 20:20:48 +0400

Hello, I wrote:

>    Ah, that's what happens -- BAR0 in functions 0/1 takes up the whole 
> 265 MiB of the PCI memory space (128+128), so no place is left for other 
> memory BARs.

    What's interesting, the Sequoia/Rainier board user manual says that PCI 
memory is 0x80000000 thru 0xbfffffff (i.e. 1 GiB), while the Linux code seem 
to always have assumed only 0x[1]800000000 thru 0x[1]8fffffff...

WBR, Sergei